Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
AbstractClassRep::Field Struct Reference

`#include <consoleObject.h>`

## Public Attributes
const char * | pFieldname
| Name of the field. More...
const char * | pGroupname
const char * | pFieldDocs
| This is filled when type is StartField or EndField. More...
bool | groupExpand
| Flag to track expanded/not state of this group in the editor. More...
U32 | type
| A type ID. More...
dsize_t | offset
| Memory offset from beginning of class for this field. More...
S32 | elementCount
| Number of elements, if this is an array. More...
EnumTable * | table
| If this is an enum, this points to the table defining it. More...
BitSet32 | flag
| Stores various flags. More...
ConsoleTypeValidator * | validator
| Validator, if any. More...
SetDataNotify | setDataFn
| Set data notify Fn. More...
GetDataNotify | getDataFn
| Get data notify Fn. More...
WriteDataNotify | writeDataFn
| Function to determine whether data should be written or not. More...

## Member Data Documentation

S32 elementCount

Number of elements, if this is an array.

BitSet32 flag

Stores various flags.

GetDataNotify getDataFn

Get data notify Fn.

bool groupExpand

Flag to track expanded/not state of this group in the editor.

dsize_t offset

Memory offset from beginning of class for this field.

const char* pFieldDocs

This is filled when type is StartField or EndField.

Documentation about this field; see consoleDoc.cc.

const char* pFieldname

Name of the field.

const char* pGroupname

Optionally filled field containing the group name.

SetDataNotify setDataFn

Set data notify Fn.

EnumTable* table

If this is an enum, this points to the table defining it.

U32 type

A type ID.

See also
  ACRFieldTypes

ConsoleTypeValidator* validator

Validator, if any.

WriteDataNotify writeDataFn

Function to determine whether data should be written or not.

The documentation for this struct was generated from the following file:

- console/consoleObject.h